FROM mcr.microsoft.com/dotnet/aspnet:8.0-alpine AS base
WORKDIR /app

RUN apk add --no-cache \
    icu-libs \
    zlib-dev \
    bash \
    curl \
    ffmpeg \
    bento4

COPY . /app

EXPOSE 8080

RUN chmod +x /app/drmdtool
RUN chmod +x /app/nre
RUN mkdir -p /app/Watched


ENV FORMAT=mkv


ENTRYPOINT ["/app/drmdtool"]

